
<?php
/* panggil file database.php untuk koneksi ke database */
require_once "config/database.php";
/* panggil file fungsi tambahan */
require_once "config/fungsi_tanggal.php";
require_once "config/fungsi_rupiah.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan message = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
	echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk pemanggilan file halaman konten
else {
	// jika halaman konten yang dipilih beranda, panggil file view beranda
	if ($_GET['module'] == 'beranda') {
		include "modules/beranda/view.php";
	}

	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'obat') {
		include "modules/obat/view.php";
	}
	elseif ($_GET['module'] == 'form_obat') {
		include "modules/obat/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'lokasi') {
		include "modules/lokasi/view.php";
	}
	elseif ($_GET['module'] == 'form_lokasi') {
		include "modules/lokasi/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'kas') {
		include "modules/kas/view.php";
	}
	elseif ($_GET['module'] == 'form_kas') {
		include "modules/kas/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'tujuan') {
		include "modules/tujuan/view.php";
	}
	elseif ($_GET['module'] == 'form_tujuan') {
		include "modules/tujuan/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'sektor') {
		include "modules/sektor/view.php";
	}
	elseif ($_GET['module'] == 'form_sektor') {
		include "modules/sektor/form.php";
	}
	// -----------------------------------------------------------------------------
	
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'ibadah') {
		include "modules/ibadah/view.php";
	}
	elseif ($_GET['module'] == 'form_ibadah') {
		include "modules/ibadah/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih obat, panggil file view obat
	elseif ($_GET['module'] == 'jemaat') {
		include "modules/jemaat/view.php";
	}
	elseif ($_GET['module'] == 'form_jemaat') {
		include "modules/jemaat/form.php";
	}
	// -----------------------------------------------------------------------------
	
	
	

	// jika halaman konten yang dipilih user, panggil file view user
	elseif ($_GET['module'] == 'user') {
		include "modules/user/view.php";
	}

	// jika halaman konten yang dipilih form user, panggil file form user
	elseif ($_GET['module'] == 'form_user') {
		include "modules/user/form.php";
	}
	// -----------------------------------------------------------------------------

	// jika halaman konten yang dipilih profil, panggil file view profil
	elseif ($_GET['module'] == 'profil') {
		include "modules/profil/view.php";
	}

	// jika halaman konten yang dipilih form profil, panggil file form profil
	elseif ($_GET['module'] == 'form_profil') {
		include "modules/profil/form.php";
	}
	// -----------------------------------------------------------------------------
	
	// jika halaman konten yang dipilih password, panggil file view password
	elseif ($_GET['module'] == 'password') {
		include "modules/password/view.php";
	}
}
?>